<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns="http://java.sun.com/xml/ns/javaee"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://java.sun.com/xml/ns/javaee
          http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd"
         version="3.0">
  <session-config>
    <session-timeout>30</session-timeout>
  </session-config>
  <display-name>Sample server</display-name>
  <context-param>
    <param-name>productionMode</param-name>
    <param-value>true</param-value>
  </context-param>
  <context-param>
    <description>A list of ncore config files</description>
    <param-name>ncoreConfigFiles</param-name>
    <param-value>
      ncore-properties.xml
      ncore-properties-local.xml
    </param-value>
  </context-param>
  <servlet>
    <servlet-name>ncore</servlet-name>
    <servlet-class>biz.redsoft.ncore.server.NcoreApplicationServlet</servlet-class>
    <init-param>
      <description>Vaadin application class to start</description>
      <param-name>UI</param-name>
      <param-value>biz.redsoft.ncore.client.vaadin.WebApplication</param-value>
    </init-param>
    <init-param>
      <description>Application widgetset</description>
      <param-name>widgetset</param-name>
      <param-value>biz.redsoft.ncore.client.vaadin.NcoreWidgetset</param-value>
   </init-param>
   <async-supported>true</async-supported>
 </servlet>
  <servlet-mapping>
    <servlet-name>ncore</servlet-name>
    <url-pattern>/*</url-pattern>
  </servlet-mapping>
<!-- TLS/SSL logback JNDI selector section -->
<!--  <env-entry>
    <env-entry-name>logback/context-name</env-entry-name>
    <env-entry-type>java.lang.String</env-entry-type>
    <env-entry-value>ncore</env-entry-value>
  </env-entry>-->
<!-- end of TLS/SSL logback JNDI selector section -->
  <listener>
    <listener-class>biz.redsoft.ncore.dx.init.DxInitializationListener</listener-class>
  </listener>
  <listener>
    <listener-class>biz.redsoft.ncore.client.vaadin.VaadinSessionListener</listener-class>
  </listener>
</web-app>
